Uses of Class
org.alfresco.rest.model.RestProcessModel
Packages that use RestProcessModel
Package
Description
-
Uses of RestProcessModel in org.alfresco.rest.model
Methods in org.alfresco.rest.model that return RestProcessModelModifier and TypeMethodDescriptionRestProcessModelsCollection.getProcessModelByProcessDefId(String processDefinitionId) RestProcessModel.onModel() -
Uses of RestProcessModel in org.alfresco.rest.requests
Methods in org.alfresco.rest.requests that return RestProcessModelModifier and TypeMethodDescriptionProcesses.addProcess(String processDefinitionKey, org.alfresco.utility.model.UserModel assignee, boolean sendEmailNotifications, org.alfresco.dataprep.CMISUtil.Priority priority) Starts new process using POST /processesProcesses.addProcessWithBody(String postBody) Starts new process with given input body using POST /processesProcesses.getProcess()Retrieves the process identified by processId using GET /processes/{processId} -
Uses of RestProcessModel in org.alfresco.rest.requests.workflowAPI
Methods in org.alfresco.rest.requests.workflowAPI that return RestProcessModelModifier and TypeMethodDescriptionRestWorkflowAPI.addProcess(String processDefinitionKey, org.alfresco.utility.model.UserModel assignee, boolean sendEmailNotifications, org.alfresco.dataprep.CMISUtil.Priority priority) Provides DSL on all REST calls under/processes/{processId}/...API pathRestWorkflowAPI.addProcessWithBody(jakarta.json.JsonObject postBody) Provides DSL on all REST calls under/processes/{processId}/...API path